Name:           fedora-jam-backgrounds
Version:        1.0.1
Release:        0.5.git8db10f1%{?dist}
Summary:        Fedora Jam desktop backgrounds

Group:          Applications/Multimedia
License:        CC-BY-SA
URL:            https://fedoraproject.org/wiki/Fedora_jam
# hosted git://git.fedorahosted.org/music-creation.git/fedora-jam-backgrounds
# sh fedora-jam-backgrounds-snapshot.sh <git-revision>
Source0:        %{name}-%{version}-git8db10f1.tar.xz
Source1:        fedora-jam-backgrounds-snapshot.sh
BuildArch:      noarch

# for %%_kde4_* macros
BuildRequires:  kde-filesystem
Requires:       %{name}-gnome = %{version}-%{release}
Requires:       %{name}-kde = %{version}-%{release}


%description
This package contains desktop backgrounds for the Fedora Jam theme.
Pulls in both Gnome and KDE themes.

%package        single
Summary:        Single screen images for Fedora Jam Backgrounds
Group:          Applications/Multimedia

%description    single
This package contains single screen images for Fedora Jam
Backgrounds.

%package        kde
Summary:        Fedora Jam Wallpapers for KDE
Group:          Applications/Multimedia

Requires:       %{name}-single = %{version}-%{release}
Requires:       kde-filesystem

%description    kde
This package contains KDE desktop wallpapers for the Fedora Jam
theme.

%package        gnome
Summary:        Fedora Jam Wallpapers for Gnome
Group:          Applications/Multimedia

Requires:       %{name}-single = %{version}-%{release}

%description    gnome
This package contains Gnome desktop wallpapers for the Fedora Jam
theme.

%package        xfce
Summary:        Fedora Jam Wallpapers for XFCE4
Group:          Applications/Multimedia

Requires:       %{name}-single = %{version}-%{release}
Requires:       xfdesktop

%description    xfce
This package contains XFCE4 desktop wallpapers for the Fedora Jam
theme.

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%doc

%files single
%doc CC-BY-SA* Attribution 
#Attribution
%dir %{_datadir}/backgrounds/fedora-jam
%dir %{_datadir}/backgrounds/fedora-jam/default
%{_datadir}/backgrounds/fedora-jam/default/normalish
%{_datadir}/backgrounds/fedora-jam/default/standard
%{_datadir}/backgrounds/fedora-jam/default/wide

%files kde
%{_kde4_datadir}/wallpapers/Fedora_Jam/

%files gnome
%{_datadir}/backgrounds/fedora-jam/default/fedora-jam.xml
%{_datadir}/gnome-background-properties/desktop-backgrounds-fedora-jam.xml

%files xfce
%{_datadir}/xfce4/backdrops/fedora-jam.png


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-0.5.git8db10f1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-0.4.git8db10f1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 22 2013 Brendan Jones <brendan.jones.it@gmail.com> 1.0.1-0.3.git8db10f1
- Correct space in %%doc

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-0.2.git8db10f1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Nov 11 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.0.1-0.1.git8db10f1
- New 1.0.1

* Wed Oct 31 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.0.0-0.2.git1e1137e
- Add Attribution

* Wed Oct 31 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.0.0-0.1.git1e1137e
- New release

* Mon Jul 30 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.0.1-2.2.git569af19fa
- Remove License line for single package

* Mon Jul 30 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.0.1-2.1.git569af19fa
- add tarball script
- remove clean sections

* Mon Jul 30 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.0.1-2
- Remove clean sections

* Sun Jul 29 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.0.1-1
- Create package template

